Bug 716169 - FTBFS gconfmm26-2.28.2-2.fc15
FTBFS gconfmm26-2.28.2-2.fc15
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gconfmm26 (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
 
Reported: 2011-06-23 12:28 EDT by FTBFS
Modified: 2011-11-24 21:10 EST (History)
3 users (show)

See Also:
Fixed In Version: gconfmm26-2.28.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 23:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (359.19 KB, text/plain)
2011-06-23 12:28 EDT, FTBFS
no flags Details
build.log (28.07 KB, text/plain)
2011-06-23 12:28 EDT, FTBFS
no flags Details
mock.log (1.21 KB, text/plain)
2011-06-23 12:29 EDT, FTBFS
no flags Details
root.log (578.82 KB, text/plain)
2011-06-23 12:29 EDT, FTBFS
no flags Details
build.log (27.97 KB, text/plain)
2011-06-23 12:29 EDT, FTBFS
no flags Details
mock.log (1.30 KB, text/plain)
2011-06-23 12:29 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2011-06-23 12:28:54 EDT
gconfmm26-2.28.2-2.fc15.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 12:28:58 EDT
Created attachment 509291 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 12:28:59 EDT
Created attachment 509292 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 12:29:01 EDT
Created attachment 509293 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 12:29:02 EDT
Created attachment 509294 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 12:29:04 EDT
Created attachment 509295 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 12:29:05 EDT
Created attachment 509296 [details]
mock.log


mock.log for x86_64
Comment 7 Henrik Nordström 2011-10-09 16:10:50 EDT
This blocks a number of packages in the armv7hl secondary arch.
Comment 8 Kalev Lember 2011-10-18 11:54:29 EDT
Upstream ticket with a patch: https://bugzilla.gnome.org/show_bug.cgi?id=648860
Comment 9 Fedora Update System 2011-10-18 16:13:55 EDT
gconfmm26-2.28.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gconfmm26-2.28.2-3.fc16
Comment 10 Fedora Update System 2011-10-19 00:12:56 EDT
Package gconfmm26-2.28.2-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gconfmm26-2.28.2-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14571
then log in and leave karma (feedback).
Comment 11 Kalev Lember 2011-10-21 05:06:20 EDT
Released gconfmm 2.28.3 tarball with the fix:
https://mail.gnome.org/archives/ftp-release-list/2011-October/msg00133.html

Haïkel, I believe you should now be able to revert
http://pkgs.fedoraproject.org/gitweb/?p=gconfmm26.git;a=commitdiff;h=290aa7fd

especially this part, which the new release properly fixes:

+# install documentation
+mkdir -p $RPM_BUILD_ROOT%{_datadir}/devhelp/books/gconfmm-2.6
+cp docs/reference/gconfmm-2.6.devhelp2 $RPM_BUILD_ROOT%{_datadir}/devhelp/books/gconfmm-2.6
+mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/gconfmm-2.6/reference/
+for i in html gconfmm-2.6.tag
+do
+    cp -r docs/reference/$i $RPM_BUILD_ROOT%{_datadir}/doc/gconfmm-2.6/reference/
+done
Comment 12 Fedora Update System 2011-10-22 05:01:21 EDT
gconfmm26-2.28.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gconfmm26-2.28.3-1.fc15
Comment 13 Fedora Update System 2011-10-22 05:51:55 EDT
gconfmm26-2.28.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gconfmm26-2.28.3-1.fc16
Comment 14 Fedora Update System 2011-10-24 23:35:34 EDT
gconfmm26-2.28.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-11-24 21:10:01 EST
gconfmm26-2.28.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.